> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get custom fields from contracts

GET https://api.letsdeel.com/rest/contracts/custom_fields/{id}

Retrieves a single custom field definition from a contract by its `id`, returning the field's name, type, settings, placement, and description.

 **Token scopes**: `contracts:read`

Reference: https://developer.deel.com/api/reference/endpoints/custom-fields-contracts/get-custom-field

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `id` (string, required) — Custom field id.

## Response

### 200

Successful response

- `data` (ContractsCustomFieldsIdGetResponsesContentApplicationJsonSchemaData, required) — Custom field object

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Internal Server Error

- `error` (ContractsCustomFieldsIdGetResponsesContentApplicationJsonSchemaError, required)

## Types

### ContractsCustomFieldsIdGetResponsesContentApplicationJsonSchemaData

Custom field object

- `id` (string, optional) — Custom field id
- `name` (string, optional) — Name of the custom field
- `type` (ContractsCustomFieldsIdGetResponsesContentApplicationJsonSchemaDataType, optional) — Type definition of the custom field
- `settings` (ContractsCustomFieldsIdGetResponsesContentApplicationJsonSchemaDataSettings, optional) — Configuration settings for the custom field
- `placement` (enum, optional) — Where the custom field is displayed
  - Allowed values: `profile`, `contract`
- `created_at` (string, optional) — Creation timestamp
- `description` (string, optional, nullable) — Optional description of the custom field

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### ContractsCustomFieldsIdGetResponsesContentApplicationJsonSchemaError

- `code` (string, required) — Error code identifying the type of error.
- `message` (string, required) — Error message describing what went wrong.
- `details` (string, optional, nullable) — Additional details about the error.

### ContractsCustomFieldsIdGetResponsesContentApplicationJsonSchemaDataType

Type definition of the custom field

### ContractsCustomFieldsIdGetResponsesContentApplicationJsonSchemaDataSettings

Configuration settings for the custom field

- `access` (ContractsCustomFieldsIdGetResponsesContentApplicationJsonSchemaDataSettingsAccess, optional) — Access control settings
- `required` (boolean, optional) — Whether the field is mandatory
- `countries` (list of string, optional) — Countries where the field applies
- `is_enabled` (boolean, optional) — Whether the field is enabled
- `worker_types` (list of enum, optional) — Applicable worker types
  - Allowed values: `eor`, `contractor`, `hris_direct_employee`, `direct_employee`

### ContractsCustomFieldsIdGetResponsesContentApplicationJsonSchemaDataType0

Simple custom field types

- `name` (enum, optional) — Simple field type
  - Allowed values: `text`, `number`, `date`, `percentage`, `hyperlink`

### ContractsCustomFieldsIdGetResponsesContentApplicationJsonSchemaDataType1

Currency custom field type

- `name` (enum, optional) — Currency field type
  - Allowed values: `currency`
- `currency` (string, optional) — ISO currency code
- `is_fixed` (boolean, optional) — Whether the currency is fixed

### ContractsCustomFieldsIdGetResponsesContentApplicationJsonSchemaDataType2

List or multiselect custom field type

- `name` (enum, optional) — List field type
  - Allowed values: `list`, `multiselect`
- `options` (list of string, optional) — Available options for the list field

### ContractsCustomFieldsIdGetResponsesContentApplicationJsonSchemaDataSettingsAccess

Access control settings

- `provided_by` (enum, optional, nullable) — Entity providing access
  - Allowed values: `organization`, `worker`
- `is_sensitive` (boolean, optional) — Whether the field contains sensitive data

## Examples

**Response**

```json
{
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/contracts/custom_fields/d290f1ee-6c54-4b01-90e6-d701748f0851"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/contracts/custom_fields/d290f1ee-6c54-4b01-90e6-d701748f0851';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/contracts/custom_fields/d290f1ee-6c54-4b01-90e6-d701748f0851"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/contracts/custom_fields/d290f1ee-6c54-4b01-90e6-d701748f0851")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/contracts/custom_fields/d290f1ee-6c54-4b01-90e6-d701748f0851")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/contracts/custom_fields/d290f1ee-6c54-4b01-90e6-d701748f0851', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/contracts/custom_fields/d290f1ee-6c54-4b01-90e6-d701748f0851");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/contracts/custom_fields/d290f1ee-6c54-4b01-90e6-d701748f0851")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```